<script src="@#file#(webgl-math.js)" type="text/javascript"></script>
<script src="@#file#(webgl-basic.js)" type="text/javascript"></script>
<script src="@#file#(webgl-view.js)" type="text/javascript"></script>
<script src="@#file#(webgl-proj.js)" type="text/javascript"></script>
<script src="@#file#(osvj.js)" type="text/javascript"></script>

<script type="text/javascript">
  var ld2 = null;

  function start() {
    ld2 = new lightningDemo('myCanvas2');

    ld2.scene.toggleAmbient(false);
    ld2.scene.toggleDiffuze(true);
    ld2.scene.toggleSpecular(false);

    ld2.startAnimation();
  }
</script>

  <p><i>Difuzna komponenta</i> je komponenta koja modelira izravni utjecaj izvora na osvjetljenje površine koje
     je neovisno o kutu pod kojim promatrač gleda površinu. Naime, polazi se od pretpostavke da je površina na mikrorazini
     hrapava, pa se svjetlost koja pada na nju odbija u svim smjerovima podjednako. Stoga neovisno o tome gdje se nalazi
     promatrač, tako dugo dok mu je površina vidljiva, vidjet će jednaki intenzitet osvjetljenja pri promjeni položaja. 
     Intenzitet te svjetlosti ovisan je o kutu pod kojim svjetlost pada na površinu: ako svjetlost pada okomito na površinu, 
     površina reflektira najveću količinu svjetlosti; ako svjetlost na površinu pada pod manjim kutem, smanjuje se i količina
     svjetlosti koju površina reflektira.</p>
  <p>Slika u nastavku prikazuje relevantne vektore koje treba uzeti u obzir: vektor normale ravnine \(\vec n\) te vektor od površine 
     prema izvoru \(\vec l\).</p>
  <img src="@#file#(difuzna.svg)" alt="Izračun difuzne komponente">
  <p> Jakost ovako reflektirane svjetlosti proporcionalna je kosinusu kuta između vektora 
     normale površine i vektora koji od površine ide prema izvoru svjetlosti.
  \[
    I_{d} \propto \cos{(\vec l, \vec n)} 
  \]
  </p>

  <p>Demonstracija u nastavku prikazuje utjecaj difuzne komponente. Kako iznos osvjetljenja svake točke
     površine ovisi o kutu pod kojim svjetlost iz izvora pada na površinu, ova komponenta osvjetljavanja
     doprinosi postizanju 3D-efekta: kugle sada doista izgledaju kao kugle.</p>

  <p>Kontrolom prikazanom ispod demonstracije možete isključiti difuznu komponentu: scena će time postati potpuno crna.</p>

  <canvas id="myCanvas2" width="640" height="480">
    Your browser doesn't appear to support the 
    &lt;canvas&gt; element.
  </canvas>
  <p>
  <input type="checkbox" checked onchange="ld2.scene.toggleDiffuze(this.checked);"> Difuzna komponenta <br>
  </p>

<script type="text/javascript">
start();
</script>

